package com.yd.api.metadata.vo;

import java.util.List;

/**
 * @author xxy
 * @date 2021年06月21日 17:56
 */
public class TagQueryInfo {

    private Long id;

    private Long configLevel;

    private Long upperTagId;

    private String tagName;

    private String upperTagName;
    
    private Long tagType;//标签类别

    private Integer isActive;

    private String createdAt;

    private String createdBy;

    private String updatedAt;

    private String updatedBy;

    public List<TagQueryInfo> tagQueryInfos;

    /**
     * Gets the value of id. *
     *
     * @return the value of id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id. *
     * <p>You can use getId() to get the value of id</p>
     * * @param id id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Gets the value of configLevel. *
     *
     * @return the value of configLevel
     */
    public Long getConfigLevel() {
        return configLevel;
    }

    /**
     * Sets the configLevel. *
     * <p>You can use getConfigLevel() to get the value of configLevel</p>
     * * @param configLevel configLevel
     */
    public void setConfigLevel(Long configLevel) {
        this.configLevel = configLevel;
    }

    /**
     * Gets the value of upperTagId. *
     *
     * @return the value of upperTagId
     */
    public Long getUpperTagId() {
        return upperTagId;
    }

    /**
     * Sets the upperTagId. *
     * <p>You can use getUpperTagId() to get the value of upperTagId</p>
     * * @param upperTagId upperTagId
     */
    public void setUpperTagId(Long upperTagId) {
        this.upperTagId = upperTagId;
    }

    /**
     * Gets the value of tagName. *
     *
     * @return the value of tagName
     */
    public String getTagName() {
        return tagName;
    }

    /**
     * Sets the tagName. *
     * <p>You can use getTagName() to get the value of tagName</p>
     * * @param tagName tagName
     */
    public void setTagName(String tagName) {
        this.tagName = tagName;
    }
    
    /**
	 * @return the upperTagName
	 */
	public String getUpperTagName() {
		return upperTagName;
	}

	/**
	 * @param upperTagName the upperTagName to set
	 */
	public void setUpperTagName(String upperTagName) {
		this.upperTagName = upperTagName;
	}

	/**
	 * @return the tagType
	 */
	public Long getTagType() {
		return tagType;
	}

	/**
	 * @param tagType the tagType to set
	 */
	public void setTagType(Long tagType) {
		this.tagType = tagType;
	}

	/**
     * Gets the value of isActive. *
     *
     * @return the value of isActive
     */
    public Integer getIsActive() {
        return isActive;
    }

    /**
     * Sets the isActive. *
     * <p>You can use getIsActive() to get the value of isActive</p>
     * * @param isActive isActive
     */
    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    /**
     * Gets the value of createdAt. *
     *
     * @return the value of createdAt
     */
    public String getCreatedAt() {
        return createdAt;
    }

    /**
     * Sets the createdAt. *
     * <p>You can use getCreatedAt() to get the value of createdAt</p>
     * * @param createdAt createdAt
     */
    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    /**
     * Gets the value of createdBy. *
     *
     * @return the value of createdBy
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the createdBy. *
     * <p>You can use getCreatedBy() to get the value of createdBy</p>
     * * @param createdBy createdBy
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * Gets the value of updatedAt. *
     *
     * @return the value of updatedAt
     */
    public String getUpdatedAt() {
        return updatedAt;
    }

    /**
     * Sets the updatedAt. *
     * <p>You can use getUpdatedAt() to get the value of updatedAt</p>
     * * @param updatedAt updatedAt
     */
    public void setUpdatedAt(String updatedAt) {
        this.updatedAt = updatedAt;
    }

    /**
     * Gets the value of updatedBy. *
     *
     * @return the value of updatedBy
     */
    public String getUpdatedBy() {
        return updatedBy;
    }

    /**
     * Sets the updatedBy. *
     * <p>You can use getUpdatedBy() to get the value of updatedBy</p>
     * * @param updatedBy updatedBy
     */
    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    /**
     * Gets the value of tagQueryInfos. *
     *
     * @return the value of tagQueryInfos
     */
    public List<TagQueryInfo> getTagQueryInfos() {
        return tagQueryInfos;
    }

    /**
     * Sets the tagQueryInfos. *
     * <p>You can use getTagQueryInfos() to get the value of tagQueryInfos</p>
     * * @param tagQueryInfos tagQueryInfos
     */
    public void setTagQueryInfos(List<TagQueryInfo> tagQueryInfos) {
        this.tagQueryInfos = tagQueryInfos;
    }

    @Override
    public String toString() {
        return "TagQueryInfo{" +
                "id=" + id +
                ", configLevel=" + configLevel +
                ", upperTagId=" + upperTagId +
                ", tagName='" + tagName + '\'' +
                ", upperTagName='" + upperTagName + '\'' +
                ", tagType='" + tagType + '\'' +
                ", isActive=" + isActive +
                ", createdAt='" + createdAt + '\'' +
                ", createdBy=" + createdBy +
                ", updatedAt=" + updatedAt +
                ", updatedBy=" + updatedBy +
                ", tagQueryInfos=" + tagQueryInfos +
                '}';
    }
}
